Imports DigitalData.Modules.Logging

Public Class frmChecksum
    Private LogConfig As LogConfig
    Private FileEx As DigitalData.Modules.Filesystem.File

    Private Sub frmChecksum_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        LogConfig = New LogConfig(LogConfig.PathType.Temp)
        FileEx = New DigitalData.Modules.Filesystem.File(LogConfig)
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        If OpenFileDialog1.ShowDialog() = DialogResult.OK Then
            TextBox1.Text = OpenFileDialog1.FileName
        End If
    End Sub

    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        Dim oChecksum = FileEx.GetChecksum(TextBox1.Text)
        MsgBox(oChecksum)
    End Sub
End Class